.toggle-button {
    left: -9999px;
    position: absolute;
}

.toggle-button + label {
    padding-right: 6.2rem;
    position: relative;
}

.toggle-button + label:before {
    background-color: $toggle-button-color-background;
    border-radius: 9999px;
    content: "";
    cursor: pointer;
    display: block;
    height: 2.4rem;
    margin-top: 0.1rem;
    right: 0;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    transition: background-color 150ms ease-out;
    width: 6.2rem;
}

.toggle-button:checked + label:before {
    background-color: $toggle-button-color-active;
}

.toggle-button + label:after {
    background-color: $toggle-button-color;
    border-radius: 50%;
    content: "";
    cursor: pointer;
    display: block;
    height: 3rem;
    margin-top: 0.1rem;
    position: absolute;
    right: 3.2rem;
    transition: right 150ms ease-out;
    top: 50%;
    transform: translate(0, -50%);
    width: 3rem;
    box-shadow: 0 0.1rem 0.5rem 0 $color-shadow;
}

.toggle-button:checked + label:after {
    right: 0;
}

.toggle-button:focus + label:before {
    background-color: $toggle-button-color-background-focus
}

.toggle-button:focus:checked + label:before {
    background-color: $toggle-button-color-active-focus
}
